Authentication "Requires User Context" vs "Required"


#1

I’m trying to extend a Unity plugin I’ve been using to deal with Twitter, but have a problem with different authentication requirements. API calls that the documentation says authentication “requires user context” work fine but those that say “required” return code 32. For example, “GET account/settings” and “POST statuses/update” work, but “GET users/show” and “GET search/tweets” do not, when sent the same token and token secret. As far as I can tell – using the OAuth Tool – the two methods use the same information, but I can’t get it to work. Is there some process requirement I’m missing here?